Get Merchant ( STABLE )
curl --request GET \
--url https://api.grailpay.com/api/v3/merchants/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/api/v3/merchants/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/api/v3/merchants/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"merchant": {
"uuid": "c6bcfbbb-98ff-4d8b-a8f5-1559c3dcb718",
"business_type": "merchant",
"kyb_status": "IN_REVIEW",
"kyb_rejected_reason": null,
"name": "Acme Inc.",
"tin": "123456789",
"trading_name": "Acme Corp",
"entity_type": "Sole Trader",
"incorporation_date": "2024-02-02",
"incorporation_state": "CO",
"address_type": "Registered",
"address": {
"line_1": "10554 W Quarles Ave",
"line_2": "Suite 123",
"city": "Littleton",
"state": "CO",
"zip": "80127"
},
"transaction_fee_percent": 2.5,
"transaction_fee_fixed": 100,
"maximum_transaction_fee": 5000,
"payout_type": "batch",
"client_reference_id": "reference_12345",
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
},
"beneficial_owners": [
{
"first_name": "Jane",
"last_name": "Doe",
"dob": "2023-04-11",
"ssn9": "123456789",
"address": {
"line_1": "10554 W Quarles Ave",
"line_2": "Suite 123",
"city": "Littleton",
"state": "CO",
"zip": "80127"
},
"is_beneficial_owner": true,
"is_director": false,
"is_significant_control_person": false,
"ownership_percentage": 25,
"email": "owner@test.com",
"phone": "2457856490",
"occupation": "Co-founder",
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
}
],
"bank_accounts": [
{
"aggregator_type": "manual",
"uuid": "9b97f121-a449-4b52-9f36-6c55f18394d6",
"is_default": true,
"account_number": "********1234",
"routing_number": "*****6789",
"account_name": "John Doe",
"account_type": "checking",
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
}
],
"relations": {
"person": {
"uuid": "7c41f6a2-a4b9-4df8-9225-2c1b7312042e"
}
}
},
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid Parameters Received",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid token.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "This merchant is not available as they have been scheduled for deletion.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "No merchant was found matching that UUID.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Something went wrong on our side. Please contact support.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}Users
Get Merchant ( STABLE )
This endpoint will return detail of the merchant. When making a request to an API for a merchant’s information, you typically need to provide a unique identifier UUID. The UUID is generated at the time of registration and is associated with the merchant’s account.
GET
/
api
/
v3
/
merchants
/
{uuid}
Get Merchant ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
merchant UUID
Example:
"7c41f6a2-a4b9-4df8-9225-2c1b7312042e"
Onboard a new Merchant into the ACH application ( STABLE )Update a Merchant into the ACH application ( STABLE )
⌘I
